

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>Technical Specification &mdash; GAIA-X Architecture 0.1 documentation</title>
  

  
  
  
  

  
  <script type="text/javascript" src="_static/js/modernizr.min.js"></script>
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
        <script type="text/javascript" src="_static/jquery.js"></script>
        <script type="text/javascript" src="_static/underscore.js"></script>
        <script type="text/javascript" src="_static/doctools.js"></script>
        <script type="text/javascript" src="_static/language_data.js"></script>
    
    <script type="text/javascript" src="_static/js/theme.js"></script>

    

  
  <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="Certification and Accreditation" href="certification.html" />
    <link rel="prev" title="Service Viewpoint" href="service-viewpoint.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="toc.html" class="icon icon-home"> GAIA-X Architecture
          

          
          </a>

          
            
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <ul class="current">
<li class="toctree-l1"><a class="reference internal" href="index.html">Introduction</a></li>
<li class="toctree-l1"><a class="reference internal" href="use-cases.html">Motivating Use Cases</a></li>
<li class="toctree-l1"><a class="reference internal" href="requirements.html">Requirements</a></li>
<li class="toctree-l1"><a class="reference internal" href="overview.html">Architecture Overview</a></li>
<li class="toctree-l1"><a class="reference internal" href="concepts.html">Concept Definitions</a></li>
<li class="toctree-l1"><a class="reference internal" href="organization-viewpoint.html">Organizational Viewpoint</a></li>
<li class="toctree-l1"><a class="reference internal" href="security-viewpoint.html">Information Security and Data Protection Viewpoint</a></li>
<li class="toctree-l1"><a class="reference internal" href="platform-viewpoint.html">Platform Viewpoint</a></li>
<li class="toctree-l1"><a class="reference internal" href="service-viewpoint.html">Service Viewpoint</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">Technical Specification</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#service-description">Service Description</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#ontology">Ontology</a></li>
<li class="toctree-l3"><a class="reference internal" href="#interface-definition">Interface Definition</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="#service-repository-format">Service Repository Format</a></li>
<li class="toctree-l2"><a class="reference internal" href="#deployment-technology">Deployment Technology</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#runtime-container">Runtime Container</a></li>
<li class="toctree-l3"><a class="reference internal" href="#provisioning">Provisioning</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="#communication-technology">Communication Technology</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#client-server">Client/Server</a></li>
<li class="toctree-l3"><a class="reference internal" href="#publish-subscribe">Publish/Subscribe</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="#authentication">Authentication</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="certification.html">Certification and Accreditation</a></li>
<li class="toctree-l1"><a class="reference internal" href="appendix.html">Appendix</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="toc.html">GAIA-X Architecture</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="toc.html">Docs</a> &raquo;</li>
        
      <li>Technical Specification</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
            
            <a href="_sources/specification.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="technical-specification">
<h1>Technical Specification<a class="headerlink" href="#technical-specification" title="Permalink to this headline">¶</a></h1>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p><strong>Chapter Rationale</strong></p>
<p>Ths chapter makes normative definitions to map the concepts from the previous chapters to concrete technologies.
Examples for this are description formats for the services, authentication mechanisms and communication protocols.</p>
</div>
<div class="section" id="service-description">
<h2>Service Description<a class="headerlink" href="#service-description" title="Permalink to this headline">¶</a></h2>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p><strong>Chapter Rationale</strong></p>
<p>Express interface definitions for a concrete technoloy (e.g. Webservices).</p>
</div>
<div class="section" id="ontology">
<h3>Ontology<a class="headerlink" href="#ontology" title="Permalink to this headline">¶</a></h3>
</div>
<div class="section" id="interface-definition">
<h3>Interface Definition<a class="headerlink" href="#interface-definition" title="Permalink to this headline">¶</a></h3>
</div>
</div>
<div class="section" id="service-repository-format">
<h2>Service Repository Format<a class="headerlink" href="#service-repository-format" title="Permalink to this headline">¶</a></h2>
<div class="admonition warning">
<p class="admonition-title">Warning</p>
<p><strong>Responsible (tentative)</strong>: Software and Architecture</p>
</div>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>If services are stored in the repository in source format.
What is the common structure they have to obey?</p>
</div>
</div>
<div class="section" id="deployment-technology">
<h2>Deployment Technology<a class="headerlink" href="#deployment-technology" title="Permalink to this headline">¶</a></h2>
<div class="admonition warning">
<p class="admonition-title">Warning</p>
<p><strong>Responsible (tentative)</strong>: Software and Architecture</p>
</div>
<div class="section" id="runtime-container">
<h3>Runtime Container<a class="headerlink" href="#runtime-container" title="Permalink to this headline">¶</a></h3>
<p>Docker</p>
<p>OpenFAAS</p>
</div>
<div class="section" id="provisioning">
<h3>Provisioning<a class="headerlink" href="#provisioning" title="Permalink to this headline">¶</a></h3>
<p>Helm</p>
</div>
</div>
<div class="section" id="communication-technology">
<h2>Communication Technology<a class="headerlink" href="#communication-technology" title="Permalink to this headline">¶</a></h2>
<div class="admonition warning">
<p class="admonition-title">Warning</p>
<p><strong>Responsible (tentative)</strong>: Software and Architecture</p>
</div>
<div class="section" id="client-server">
<h3>Client/Server<a class="headerlink" href="#client-server" title="Permalink to this headline">¶</a></h3>
<p>RESTful Webservices</p>
<p>SOAP</p>
<p>OPC UA</p>
</div>
<div class="section" id="publish-subscribe">
<h3>Publish/Subscribe<a class="headerlink" href="#publish-subscribe" title="Permalink to this headline">¶</a></h3>
<p>MQTT</p>
<p>AMQP</p>
</div>
</div>
<div class="section" id="authentication">
<h2>Authentication<a class="headerlink" href="#authentication" title="Permalink to this headline">¶</a></h2>
<div class="admonition warning">
<p class="admonition-title">Warning</p>
<p><strong>Responsible (tentative)</strong>: IAM Working Group</p>
</div>
<p>OAuth</p>
<p>X509 Certificates</p>
</div>
</div>


           </div>
           
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
        <a href="certification.html" class="btn btn-neutral float-right" title="Certification and Accreditation" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right"></span></a>
      
      
        <a href="service-viewpoint.html" class="btn btn-neutral float-left" title="Service Viewpoint" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/rtfd/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>